#import "AppController.h"

@implementation AppController

- (void)awakeFromNib {
	// This is automatically called when the AppController is unarchived from the NIB
	NSArray *cookieData = [NSArray arrayWithContentsOfFile:[@"~/Library/Cookies/Cookies.plist" stringByExpandingTildeInPath]];
	[cookieController setContent:cookieData];
	
	[tableView setTarget:self];
	[tableView setDoubleAction:@selector(doubleClickedRow:)];
}

- (IBAction)searchData:(id)sender {
	if (![[sender stringValue] isEqual:@""]) { // If it's not empty...
		NSPredicate *searchPredicate = [NSPredicate predicateWithFormat:@"Domain CONTAINS %@", [sender stringValue]];
		[cookieController setFilterPredicate:searchPredicate];
	} else {
		[cookieController setFilterPredicate:nil];
	}
}

- (void)doubleClickedRow:(id)sender {
	[NSApp beginSheet:infoPanel
	   modalForWindow:[sender window]
		modalDelegate:self
	   didEndSelector:nil
		  contextInfo:nil];
}

- (IBAction)closeSheet:(id)sender {
	[infoPanel orderOut:sender];
	[NSApp endSheet:infoPanel];
}

@end
